Переполнение буфера в inotify-tools

Дата публикации:
19.09.2007
Дата изменения:
19.09.2007
Всего просмотров:
1193
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
inotify-tools 3.x
Уязвимые версии: inotify-tools версии до 3.11.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в функции "inotifytools_snprintf()" в файле src/inotifytools.c. Злоумышленник может создать файл со слишком длинным именем в определенной директории, вызвать переполнение буфера и выполнить произвольный код на целевой системе.

URL производителя: inotify-tools.sourceforge.net

Решение: Установите последнюю версию 3.11 с сайта производителя.

или введите имя

CAPTCHA